(function($){

    /**
     * Change counter text
     */
    $.fn.ipsp_counterText = function( data ){
    
        var root = $( this );
        $( '.ipsp-container .ipsp-info-wrap' ).addClass( 'ipsp-anim' );
        if ( data.step1 ) {
            setTimeout(function () {
                $( '.ipsp-container .ipsp-info-wrap' ).addClass( 'ipsp-warning1' );
                $( '.ipsp-container .ipsp-info' ).html( data.step1.text );
                var el = $( '.ipsp-container .ipsp-info-wrap' );
                ipsp_doAnim( el );
            }, data.step1.interval );
        }
        if ( data.step2 ) {
            setTimeout(function () {
                $( '.ipsp-container .ipsp-info-wrap' ).removeClass( 'ipsp-warning1' );
                $( '.ipsp-container .ipsp-info-wrap' ).addClass( 'ipsp-warning2' );
                $( '.ipsp-container .ipsp-info' ).html( data.step2.text );
                var el = $( '.ipsp-container .ipsp-info-wrap' );
                ipsp_doAnim( el );
            }, data.step2.interval );
        }
        if ( data.finish ) {
            setTimeout(function () {
                
                if ( data.finish.confirm ) {
                
                    $( '#modalConfirm' ).modalConfirm({
                        cancelButton: false,
                        okLabel:  data.finish.label,
                        info : data.finish.info,
                        okClass : 'ipsp-btn ipsp-btn-confirm',
                        okFunc: function(){
                            if ( data.finish.redirect != '' ) {
                                window.location.href = data.finish.redirect;
                            } else {
                                ipsp_hideCounter( root );
                            }
                            return false;
                        }
                    });
                } else {
                    if ( data.finish.redirect != '' ) {
                        window.location.href = data.finish.redirect;
                    } else {
                        ipsp_hideCounter( root );
                    }
                    return false;
                }
            }, data.finish.interval );
        }
        
    };

    /**
     * Change counter text widget
     */
    $.fn.ipsp_counterTextWidget = function( data ){
    
        var root = $( this );
        $( '.ipsp-floating-widget .ipsp-info-wrap' ).addClass( 'ipsp-anim' );
        if ( data.step1 ) {
            setTimeout(function () {
                $( '.ipsp-floating-widget .ipsp-info-wrap' ).addClass( 'ipsp-warning1' );
                $( '.ipsp-floating-widget .ipsp-info' ).html( data.step1.text );
                var el = $( '.ipsp-floating-widget .ipsp-info-wrap' );
                ipsp_doAnim( el );
            }, data.step1.interval );
        }
        if ( data.step2 ) {
            setTimeout(function () {
                $( '.ipsp-floating-widget .ipsp-info-wrap' ).removeClass( 'ipsp-warning1' );
                $( '.ipsp-floating-widget .ipsp-info-wrap' ).addClass( 'ipsp-warning2' );
                $( '.ipsp-floating-widget .ipsp-info' ).html( data.step2.text );
                var el = $( '.ipsp-floating-widget .ipsp-info-wrap' );
                ipsp_doAnim( el );
            }, data.step2.interval );
        }
        if ( data.finish ) {
            setTimeout(function () {
                
                if ( data.finish.confirm ) {
                
                    $( '#modalConfirm' ).modalConfirm({
                        cancelButton: false,
                        okLabel:  data.finish.label,
                        info : data.finish.info,
                        okClass : 'ipsp-btn ipsp-btn-confirm',
                        okFunc: function(){
                            window.location.href = data.finish.redirect;
                            return false;
                        }
                    });
                } else {
                    window.location.href = data.finish.redirect;
                    return false;
                }
            }, data.finish.interval );
        }
        
    };
        
    function ipsp_hideCounter( el )
    {
        var root = $( el ).parents( '.ipsp-container' );
        root.animate({opacity: "0"}, 1000);
    }
        
    function ipsp_doAnim( el )
    {
        el.css( 'position', 'relative');
        el.css( 'top', '120px');
        el.animate({top: "0"}, 1000, function(){
        });
    }
    
})(jQuery);